Subject: Re: Keep original author with git merge --squash?

From: Jeff King <[email-masked]>
Date: Thu, 12 Feb 2015 04:28:24 -0500

On Wed, Feb 11, 2015 at 09:21:04AM -0800, David Glasser wrote:

> (I'm not sure if this should be a flag to --squash or to commit.
> Maybe `git merge --squash`; `git commit --use-squashed-author`?  Seems
> like it should be not too hard to implement; SQUASH_MSG is pretty
> parseable.  Or just a config value.)

It sounds like "git commit -c" is close to what you want, which will
pull the author and commit message from a particular commit. But I don't
think there is a convenient way to name the commit in your case (it is
likely to be the first commit on the branch you are squash-merging, but
there isn't a shorthand for that).

I assume you are already munging in your editor the template provided by
"git commit" after the squash? What would be really nice, IMHO, is if
there was a way to set the author during that edit (e.g., by moving one
of the "Author:" lines to the top of the file). That would cover your
use case, I think, and would also be useful in general.

-Peff